target=plot
lang=c
libvroot=../..
cdebug=
optflags=
# Uncomment next line to enable optimizations
# optflags=-O2 -Ot -Gs -G6
cflags=-c -MD -Za -W4 $(optflags) $(cdebug) -I$(libvroot)/include
lflags=/SUBSYSTEM:CONSOLE /OUT:$(target).exe
libs=$(libvroot)/lib/win32/vc/libv.lib
runtimelibs=kernel32.lib gdi32.lib user32.lib opengl32.lib winmm.lib
all:$(target).exe
$(target).obj:$(target).$(lang)
	cl.exe $(cflags) $(target).$(lang)
$(target).exe:$(target).obj
	link.exe $(target).obj $(libs) $(lflags) $(runtimelibs)
clean:
	if exist $(target).obj del $(target).obj
	if exist $(target).exe del $(target).exe
	if exist $(target).exp del $(target).exp
	if exist $(target).lib del $(target).lib
